Page MenuHomePhabricator

[libc] Add LLVM libc specific functions to llvm_libc_ext.td.
ClosedPublic

Authored by michaelrj on Oct 14 2020, 5:31 PM.

Details

Summary

Also moved most of the common type definitions from libc/spec/stdc.td
to libc/spec/spec.td so that they can be used to list functions in llvm_libc_ext.td.

Diff Detail

Event Timeline

michaelrj created this revision.Oct 14 2020, 5:31 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 14 2020, 5:31 PM
michaelrj requested review of this revision.Oct 14 2020, 5:31 PM

For all libc changes, the commit message should have [libc] prefixed to the first line.

libc/spec/stdc.td
4

Can you point to the line in public_api.td which has the definitions for FILE related types.

michaelrj updated this revision to Diff 298404.Oct 15 2020, 9:43 AM
michaelrj marked an inline comment as done.

Minor formatting fixes.

Update commit message.
Fix comment in libc/spec/stdc.td.

libc/spec/stdc.td
4

oops, that should say libc/config/[platform]/api.td, and the line is 30: https://github.com/llvm/llvm-project/blob/master/libc/config/linux/api.td#L30. The comment is now updated to reflect that.

sivachandra accepted this revision.Oct 16 2020, 1:08 AM
sivachandra added inline comments.
libc/spec/stdc.td
4

Ah! Just remove the comment from here may be. Its more confusing than actually explaining the code.

This revision is now accepted and ready to land.Oct 16 2020, 1:08 AM
sivachandra retitled this revision from Update spec information. to [libc] Add LLVM libc specific functions to llvm_libc_ext.td..Oct 16 2020, 1:10 AM
sivachandra edited the summary of this revision. (Show Details)

Please note that I have updated the commit message. Depending on how you land this patch, you might have to update the commit message in your local repo as well.

fix commit message locally

michaelrj marked an inline comment as done.

remove unnecessary comment

This revision was landed with ongoing or failed builds.Oct 19 2020, 11:21 AM
This revision was automatically updated to reflect the committed changes.